Package io.flutter.view

## Enum AccessibilityBridge.Action

- java.lang.Object
- - java.lang.Enum<AccessibilityBridge.Action>
  - - io.flutter.view.AccessibilityBridge.Action

- All Implemented Interfaces:
    `Serializable`, `Comparable<AccessibilityBridge.Action>`
  Enclosing class:
    AccessibilityBridge

      public static enum AccessibilityBridge.Action
      extends Enum<AccessibilityBridge.Action>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COPY` |
    `CUSTOM_ACTION` |
    `CUT` |
    `DECREASE` |
    `DID_GAIN_ACCESSIBILITY_FOCUS` |
    `DID_LOSE_ACCESSIBILITY_FOCUS` |
    `DISMISS` |
    `INCREASE` |
    `LONG_PRESS` |
    `MOVE_CURSOR_BACKWARD_BY_CHARACTER` |
    `MOVE_CURSOR_BACKWARD_BY_WORD` |
    `MOVE_CURSOR_FORWARD_BY_CHARACTER` |
    `MOVE_CURSOR_FORWARD_BY_WORD` |
    `PASTE` |
    `SCROLL_DOWN` |
    `SCROLL_LEFT` |
    `SCROLL_RIGHT` |
    `SCROLL_UP` |
    `SET_SELECTION` |
    `SET_TEXT` |
    `SHOW_ON_SCREEN` |
    `TAP` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `value` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AccessibilityBridge.Action` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static AccessibilityBridge.Action[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TAP

          public static final AccessibilityBridge.Action TAP

    - #### LONG_PRESS

          public static final AccessibilityBridge.Action LONG_PRESS

    - #### SCROLL_LEFT

          public static final AccessibilityBridge.Action SCROLL_LEFT

    - #### SCROLL_RIGHT

          public static final AccessibilityBridge.Action SCROLL_RIGHT

    - #### SCROLL_UP

          public static final AccessibilityBridge.Action SCROLL_UP

    - #### SCROLL_DOWN

          public static final AccessibilityBridge.Action SCROLL_DOWN

    - #### INCREASE

          public static final AccessibilityBridge.Action INCREASE

    - #### DECREASE

          public static final AccessibilityBridge.Action DECREASE

    - #### SHOW_ON_SCREEN

          public static final AccessibilityBridge.Action SHOW_ON_SCREEN

    - #### MOVE_CURSOR_FORWARD_BY_CHARACTER

          public static final AccessibilityBridge.Action MOVE_CURSOR_FORWARD_BY_CHARACTER

    - #### MOVE_CURSOR_BACKWARD_BY_CHARACTER

          public static final AccessibilityBridge.Action MOVE_CURSOR_BACKWARD_BY_CHARACTER

    - #### SET_SELECTION

          public static final AccessibilityBridge.Action SET_SELECTION

    - #### COPY

          public static final AccessibilityBridge.Action COPY

    - #### CUT

          public static final AccessibilityBridge.Action CUT

    - #### PASTE

          public static final AccessibilityBridge.Action PASTE

    - #### DID_GAIN_ACCESSIBILITY_FOCUS

          public static final AccessibilityBridge.Action DID_GAIN_ACCESSIBILITY_FOCUS

    - #### DID_LOSE_ACCESSIBILITY_FOCUS

          public static final AccessibilityBridge.Action DID_LOSE_ACCESSIBILITY_FOCUS

    - #### CUSTOM_ACTION

          public static final AccessibilityBridge.Action CUSTOM_ACTION

    - #### DISMISS

          public static final AccessibilityBridge.Action DISMISS

    - #### MOVE_CURSOR_FORWARD_BY_WORD

          public static final AccessibilityBridge.Action MOVE_CURSOR_FORWARD_BY_WORD

    - #### MOVE_CURSOR_BACKWARD_BY_WORD

          public static final AccessibilityBridge.Action MOVE_CURSOR_BACKWARD_BY_WORD

    - #### SET_TEXT

          public static final AccessibilityBridge.Action SET_TEXT

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static AccessibilityBridge.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccessibilityBridge.Action c : AccessibilityBridge.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccessibilityBridge.Action valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null